%ifos darwin
%define __cpa %{__cp} -RPp
%else
%define __cpa %{__cp} -a
%endif
%define dist hepx
Name:		xerces-c
Version:	3.2.2
Release:	11%{?dist}5a
Summary:	XML parsers

Group:		Development/Tools
License:	Apache Software License, Version 2.0
URL:		http://www.apache.org
Source0:	http://ftp.jaist.ac.jp/pub/apache/xerces/c/3/sources/xerces-c-%{version}.tar.bz2
Patch0:		https://issues.apache.org/jira/secure/attachment/12913843/0001-Explicitly-export-ArrayJanitor-templates.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Requires:       rpm
Prefix: /opt/xercesc/%{version}


%description
Xerces-C++ is a validating XML parser written in a portable subset of C++. 
Xerces-C++ makes it easy to give your application the ability to read and 
write XML data. 
A shared library is provided for parsing, generating, manipulating, and 
validating XML documents. Xerces-C++ is faithful to the XML 1.0 and 1.1 
recommendations and many associated standards.

The parser provides high performance, modularity, and scalability. Source 
code, samples and API documentation are provided with the parser. 
For portability, care has been taken to make minimal use of templates, 
no RTTI, and minimal use of #ifdefs.



%prep
%setup -q
#%patch0 -p1 -b .janitor


%build
%ifnos darwin
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
%endif
aclocal
autoconf
./configure --prefix=%{prefix} --datadir=%{prefix}/share/%{name} \
            --docdir=%{_prefix}/share/doc/%{name}-%{version} --mandir=%{prefix}/share/man
automake
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version}/
%{__cpa} CREDITS LICENSE doc $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version}/

%clean
rm -rf $RPM_BUILD_ROOT


%files
%ifos darwin
%defattr(-,root,wheel,-)
%else
%defattr(-,root,root,-)
%endif
%{_datadir}/doc/%{name}-%{version}/
%{prefix}/bin/*
%{prefix}/include/*
%{prefix}/lib/*
#%{_datadir}/%{name}/
#%{_mandir}/man1/*.1*


%changelog
* Fri Apr 1 2022 Keisuke Fujii <keisuke.fujii@kek.jp> - 3.2.2-11hepx5a
- 1st build and release of v3.2.2 on MacOS 11
- built with MacOSX WS 11 and clang

* Sun Feb 13 2022 Keisuke Fujii <keisuke.fujii@kek.jp> - 3.2.2-12hepx4a
- 1st build and release of v3.2.2 on MacOSX 12
- aclocal before automake
- built with MacOSX WS 11 and gcc

* Thu Jan 23 2020 Keisuke Fujii <keisuke.fujii@kek.jp> - 3.2.2-10.15hepx3a
- 1st build and release of v3.2.1 on MacOSX 10.15
- built with MacOSX WS 10.15

* Thu Dec 19 2019 Keisuke Fujii <keisuke.fujii@kek.jp> - 3.2.2-10.14hepx3a
- 1st build and release of v3.2.1 on MacOSX 10.14
- built with MacOSX WS 10.14

* Mon Dec 24 2018 Keisuke Fujii <keisuke.fujii@kek.jp> - 3.2.1-10.14hepx3a
- 1st build and release of v3.2.1 on MacOSX 10.14
- moved the installation destination to /opt/xerces/%{version}
- built with MacOSX WS 10.13

* Sat Apr 07 2018 Keisuke Fujii <keisuke.fujii@kek.jp> - 3.2.1-10.13hepx3a
- 2nd build and release of v3.2.1 on MacOSX 10.13
- moved the installation destination to /opt/xerces/%{version}

* Thu Apr 05 2018 Keisuke Fujii <keisuke.fujii@kek.jp> - 3.2.1-10.13hepx2a
- 1st build and release of v3.2.1 on MacOSX 10.13
- added jenitor patch to fix duplicate symbol problems
- use autoconf and automake to activate the patch

* Thu Jan 26 2017 Keisuke Fujii <keisuke.fujii@kek.jp> - 3.1.4-10.12hepx1a
- 1st build and release of v3.1.5 on MacOSX 10.12

* Mon Dec 26 2016 Keisuke Fujii <keisuke.fujii@kek.jp> - 3.1.3-10.12hepx1b
- 2nd build and release of v3.1.3 on MacOSX 10.12
- built with OSXWS 10.12

* Sun Dec 18 2016 Keisuke Fujii <keisuke.fujii@kek.jp> - 3.1.3-10.12hepx1a
- 1st build and release of v3.1.3 on MacOSX 10.12
- built with OSXWS 10.11

* Wed Apr 27 2016 Keisuke Fujii <keisuke.fujii@kek.jp> - 3.1.3-10.11hepx1a
- 1st build and release of v3.1.3 on MacOSX 10.11

* Mon Feb 08 2016 Keisuke Fujii <keisuke.fujii@kek.jp> - 3.1.1-10.11hepx1a
- 1st build and release on MacOSX 10.11

* Wed Dec 24 2014 Keisuke Fujii <keisuke.fujii@kek.jp> - 3.1.1-10.10hepx1a
- 1st build and release on MacOSX 10.10

* Wed Aug 06 2014 Keisuke Fujii <keisuke.fujii@kek.jp> - 3.1.1-10.9hepx1b
- 2nd build and release on MacOSX 10.9

* Tue Nov 19 2013 Keisuke Fujii <keisuke.fujii@kek.jp> - 3.1.1-10.9hepx1a
- 1st build and release on MacOSX 10.9

* Thu May 3 2012 Keisuke Fujii <keisuke.fujii@kek.jp> - 3.1.1-10.7hepx1a
- 1st build on MacOSX 10.7
- now for x86_64

* Wed Apr 4 2012 Keisuke Fujii <keisuke.fujii@kek.jp> - 3.1.1-10.6hepx1a
- 1st build on MacOSX

